// Zadatak02.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
using namespace std;
int main()
{
    double a, b;
    char operacija;
    double rezultat=0;

    cout << "Unesite broj a: ";
    cin >> a;
    cout << "Unesite broj b: ";
    cin >> b;

    bool ponovi;
    do 
    {
        ponovi= false;
        cout << "Unesite operaciju: ";
        cin >> operacija;
        if (operacija != '+' && operacija != '-'
            && operacija != '*' && operacija != '/')
        {
            cout << "Kriva operacija!" << endl;
            ponovi = true;
        }
    } while (ponovi);

    switch (operacija)
    {
    case '+':
        rezultat = a + b;
        break;
    case '-':
        rezultat = a - b;
        break;
    case '*':
        rezultat = a * b;
        break;
    case '/':
        rezultat = a / b;
        break;
    default:
        break;
    }

    cout <<endl<<a << operacija << b << "=" << rezultat;
}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file
